# azure.mgmt.automation.operations module

class `azure.mgmt.automation.operations.``AutomationAccountOperations`(client, config, serializer, deserializer)

  Bases: `object`

  AutomationAccountOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2015-10-31”.

  `create_or_update`(resource_group_name, automation_account_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create or update automation account.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - parameters (AutomationAccountCreateOrUpdateParameters) – Parameters supplied to the create or update automation account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AutomationAccount or ClientRawResponse if raw=true
    Return type: | AutomationAccount or ClientRawResponse
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, automation_account_name, custom_headers=None, raw=False, **operation_config)

    Delete an automation account.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, automation_account_name, custom_headers=None, raw=False, **operation_config)

    Get information about an Automation Account.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AutomationAccount or ClientRawResponse if raw=true
    Return type: | AutomationAccount or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists the Automation Accounts within an Azure subscription.

    Retrieve a list of accounts within a given subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of AutomationAccount
    Return type: | AutomationAccountPaged[AutomationAccount]
    Raises: | `ErrorResponseException`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Retrieve a list of accounts within a given resource group.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of AutomationAccount
    Return type: | AutomationAccountPaged[AutomationAccount]
    Raises: | `ErrorResponseException`

  `update`(resource_group_name, automation_account_name, parameters, custom_headers=None, raw=False, **operation_config)

    Update an automation account.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - parameters (AutomationAccountUpdateParameters) – Parameters supplied to the update automation account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AutomationAccount or ClientRawResponse if raw=true
    Return type: | AutomationAccount or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2015-10-31”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all of the available Automation REST API operations.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Operation
    Return type: | OperationPaged[Operation]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``StatisticsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  StatisticsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2015-10-31”.

  `list_by_automation_account`(resource_group_name, automation_account_name, filter=None, custom_headers=None, raw=False, **operation_config)

    Retrieve the statistics for the account.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Statistics
    Return type: | StatisticsPaged[Statistics]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``UsagesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  UsagesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2015-10-31”.

  `list_by_automation_account`(resource_group_name, automation_account_name, custom_headers=None, raw=False, **operation_config)

    Retrieve the usage for the account id.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Usage
    Return type: | UsagePaged[Usage]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``KeysOperations`(client, config, serializer, deserializer)

  Bases: `object`

  KeysOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2015-10-31”.

  `list_by_automation_account`(resource_group_name, automation_account_name, custom_headers=None, raw=False, **operation_config)

    Retrieve the automation keys for an account.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | KeyListResult or ClientRawResponse if raw=true
    Return type: | KeyListResult or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``CertificateOperations`(client, config, serializer, deserializer)

  Bases: `object`

  CertificateOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2015-10-31”.

  `create_or_update`(resource_group_name, automation_account_name, certificate_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create a certificate.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - certificate_name (str) – The parameters supplied to the create or update certificate operation.
    - parameters (CertificateCreateOrUpdateParameters) – The parameters supplied to the create or update certificate operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Certificate or ClientRawResponse if raw=true
    Return type: | Certificate or ClientRawResponse
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, automation_account_name, certificate_name, custom_headers=None, raw=False, **operation_config)

    Delete the certificate.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - certificate_name (str) – The name of certificate.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, automation_account_name, certificate_name, custom_headers=None, raw=False, **operation_config)

    Retrieve the certificate identified by certificate name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - certificate_name (str) – The name of certificate.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Certificate or ClientRawResponse if raw=true
    Return type: | Certificate or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_automation_account`(resource_group_name, automation_account_name, custom_headers=None, raw=False, **operation_config)

    Retrieve a list of certificates.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Certificate
    Return type: | CertificatePaged[Certificate]
    Raises: | `ErrorResponseException`

  `update`(resource_group_name, automation_account_name, certificate_name, name=None, description=None, custom_headers=None, raw=False, **operation_config)

    Update a certificate.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - certificate_name (str) – The parameters supplied to the update certificate operation.
    - name (str) – Gets or sets the name of the certificate.
    - description (str) – Gets or sets the description of the certificate.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Certificate or ClientRawResponse if raw=true
    Return type: | Certificate or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``ConnectionOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ConnectionOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2015-10-31”.

  `create_or_update`(resource_group_name, automation_account_name, connection_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create or update a connection.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - connection_name (str) – The parameters supplied to the create or update connection operation.
    - parameters (ConnectionCreateOrUpdateParameters) – The parameters supplied to the create or update connection operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Connection or ClientRawResponse if raw=true
    Return type: | Connection or ClientRawResponse
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, automation_account_name, connection_name, custom_headers=None, raw=False, **operation_config)

    Delete the connection.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - connection_name (str) – The name of connection.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Connection or ClientRawResponse if raw=true
    Return type: | Connection or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, automation_account_name, connection_name, custom_headers=None, raw=False, **operation_config)

    Retrieve the connection identified by connection name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - connection_name (str) – The name of connection.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Connection or ClientRawResponse if raw=true
    Return type: | Connection or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_automation_account`(resource_group_name, automation_account_name, custom_headers=None, raw=False, **operation_config)

    Retrieve a list of connections.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Connection
    Return type: | ConnectionPaged[Connection]
    Raises: | `ErrorResponseException`

  `update`(resource_group_name, automation_account_name, connection_name, parameters, custom_headers=None, raw=False, **operation_config)

    Update a connection.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - connection_name (str) – The parameters supplied to the update a connection operation.
    - parameters (ConnectionUpdateParameters) – The parameters supplied to the update a connection operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Connection or ClientRawResponse if raw=true
    Return type: | Connection or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``ConnectionTypeOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ConnectionTypeOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2015-10-31”.

  `create_or_update`(resource_group_name, automation_account_name, connection_type_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create a connection type.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - connection_type_name (str) – The parameters supplied to the create or update connection type operation.
    - parameters (ConnectionTypeCreateOrUpdateParameters) – The parameters supplied to the create or update connection type operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ConnectionType or ClientRawResponse if raw=true
    Return type: | ConnectionType or ClientRawResponse
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, automation_account_name, connection_type_name, custom_headers=None, raw=False, **operation_config)

    Delete the connection type.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - connection_type_name (str) – The name of connection type.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, automation_account_name, connection_type_name, custom_headers=None, raw=False, **operation_config)

    Retrieve the connection type identified by connection type name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - connection_type_name (str) – The name of connection type.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ConnectionType or ClientRawResponse if raw=true
    Return type: | ConnectionType or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_automation_account`(resource_group_name, automation_account_name, custom_headers=None, raw=False, **operation_config)

    Retrieve a list of connection types.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ConnectionType
    Return type: | ConnectionTypePaged[ConnectionType]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``CredentialOperations`(client, config, serializer, deserializer)

  Bases: `object`

  CredentialOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2015-10-31”.

  `create_or_update`(resource_group_name, automation_account_name, credential_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create a credential.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - credential_name (str) – The parameters supplied to the create or update credential operation.
    - parameters (CredentialCreateOrUpdateParameters) – The parameters supplied to the create or update credential operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Credential or ClientRawResponse if raw=true
    Return type: | Credential or ClientRawResponse
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, automation_account_name, credential_name, custom_headers=None, raw=False, **operation_config)

    Delete the credential.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - credential_name (str) – The name of credential.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, automation_account_name, credential_name, custom_headers=None, raw=False, **operation_config)

    Retrieve the credential identified by credential name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - credential_name (str) – The name of credential.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Credential or ClientRawResponse if raw=true
    Return type: | Credential or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_automation_account`(resource_group_name, automation_account_name, custom_headers=None, raw=False, **operation_config)

    Retrieve a list of credentials.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Credential
    Return type: | CredentialPaged[Credential]
    Raises: | `CloudError`

  `update`(resource_group_name, automation_account_name, credential_name, parameters, custom_headers=None, raw=False, **operation_config)

    Update a credential.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - credential_name (str) – The parameters supplied to the Update credential operation.
    - parameters (CredentialUpdateParameters) – The parameters supplied to the Update credential operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Credential or ClientRawResponse if raw=true
    Return type: | Credential or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``DscConfigurationOperations`(client, config, serializer, deserializer)

  Bases: `object`

  DscConfigurationOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2015-10-31”.

  `create_or_update`(resource_group_name, automation_account_name, configuration_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create the configuration identified by configuration name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - configuration_name (str) – The create or update parameters for configuration.
    - parameters (DscConfigurationCreateOrUpdateParameters) – The create or update parameters for configuration.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | DscConfiguration or ClientRawResponse if raw=true
    Return type: | DscConfiguration or ClientRawResponse
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, automation_account_name, configuration_name, custom_headers=None, raw=False, **operation_config)

    Delete the dsc configuration identified by configuration name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - configuration_name (str) – The configuration name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, automation_account_name, configuration_name, custom_headers=None, raw=False, **operation_config)

    Retrieve the configuration identified by configuration name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - configuration_name (str) – The configuration name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | DscConfiguration or ClientRawResponse if raw=true
    Return type: | DscConfiguration or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get_content`(resource_group_name, automation_account_name, configuration_name, custom_headers=None, raw=False, callback=None, **operation_config)

    Retrieve the configuration script identified by configuration name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - configuration_name (str) – The configuration name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - callback (Callable[Bytes, response=None]) – When specified, will be called with each chunk of data that is streamed. The callback should take two arguments, the bytes of the current chunk of data and the response object. If the data is uploading, response will be None.
    - operation_config – Operation configuration overrides.

    Returns: | object or ClientRawResponse if raw=true
    Return type: | Generator or ClientRawResponse
    Raises: | `CloudError`

  `list_by_automation_account`(resource_group_name, automation_account_name, filter=None, skip=None, top=None, inlinecount=None, custom_headers=None, raw=False, **operation_config)

    Retrieve a list of configurations.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - filter (str) – The filter to apply on the operation.
    - skip (int) – The number of rows to skip.
    - top (int) – The the number of rows to take.
    - inlinecount (str) – Return total rows.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of DscConfiguration
    Return type: | DscConfigurationPaged[DscConfiguration]
    Raises: | `ErrorResponseException`

  `update`(resource_group_name, automation_account_name, configuration_name, parameters=None, custom_headers=None, raw=False, **operation_config)

    Create the configuration identified by configuration name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - configuration_name (str) – The create or update parameters for configuration.
    - parameters (DscConfigurationUpdateParameters) – The create or update parameters for configuration.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | DscConfiguration or ClientRawResponse if raw=true
    Return type: | DscConfiguration or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``HybridRunbookWorkerGroupOperations`(client, config, serializer, deserializer)

  Bases: `object`

  HybridRunbookWorkerGroupOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2015-10-31”.

  `delete`(resource_group_name, automation_account_name, hybrid_runbook_worker_group_name, custom_headers=None, raw=False, **operation_config)

    Delete a hybrid runbook worker group.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - hybrid_runbook_worker_group_name (str) – The hybrid runbook worker group name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, automation_account_name, hybrid_runbook_worker_group_name, custom_headers=None, raw=False, **operation_config)

    Retrieve a hybrid runbook worker group.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - hybrid_runbook_worker_group_name (str) – The hybrid runbook worker group name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | HybridRunbookWorkerGroup or ClientRawResponse if raw=true
    Return type: | HybridRunbookWorkerGroup or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_automation_account`(resource_group_name, automation_account_name, filter=None, custom_headers=None, raw=False, **operation_config)

    Retrieve a list of hybrid runbook worker groups.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of HybridRunbookWorkerGroup
    Return type: | HybridRunbookWorkerGroupPaged[HybridRunbookWorkerGroup]
    Raises: | `ErrorResponseException`

  `update`(resource_group_name, automation_account_name, hybrid_runbook_worker_group_name, credential=None, custom_headers=None, raw=False, **operation_config)

    Update a hybrid runbook worker group.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - hybrid_runbook_worker_group_name (str) – The hybrid runbook worker group name
    - credential (RunAsCredentialAssociationProperty) – Sets the credential of a worker group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | HybridRunbookWorkerGroup or ClientRawResponse if raw=true
    Return type: | HybridRunbookWorkerGroup or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``JobScheduleOperations`(client, config, serializer, deserializer)

  Bases: `object`

  JobScheduleOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2015-10-31”.

  `create`(resource_group_name, automation_account_name, job_schedule_id, parameters, custom_headers=None, raw=False, **operation_config)

    Create a job schedule.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - job_schedule_id (str) – The job schedule name.
    - parameters (JobScheduleCreateParameters) – The parameters supplied to the create job schedule operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | JobSchedule or ClientRawResponse if raw=true
    Return type: | JobSchedule or ClientRawResponse
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, automation_account_name, job_schedule_id, custom_headers=None, raw=False, **operation_config)

    Delete the job schedule identified by job schedule name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - job_schedule_id (str) – The job schedule name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, automation_account_name, job_schedule_id, custom_headers=None, raw=False, **operation_config)

    Retrieve the job schedule identified by job schedule name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - job_schedule_id (str) – The job schedule name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | JobSchedule or ClientRawResponse if raw=true
    Return type: | JobSchedule or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_automation_account`(resource_group_name, automation_account_name, filter=None, custom_headers=None, raw=False, **operation_config)

    Retrieve a list of job schedules.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of JobSchedule
    Return type: | JobSchedulePaged[JobSchedule]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``LinkedWorkspaceOperations`(client, config, serializer, deserializer)

  Bases: `object`

  LinkedWorkspaceOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2015-10-31”.

  `get`(resource_group_name, automation_account_name, custom_headers=None, raw=False, **operation_config)

    Retrieve the linked workspace for the account id.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | LinkedWorkspace or ClientRawResponse if raw=true
    Return type: | LinkedWorkspace or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``ActivityOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ActivityOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2015-10-31”.

  `get`(resource_group_name, automation_account_name, module_name, activity_name, custom_headers=None, raw=False, **operation_config)

    Retrieve the activity in the module identified by module name and activity name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - module_name (str) – The name of module.
    - activity_name (str) – The name of activity.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Activity or ClientRawResponse if raw=true
    Return type: | Activity or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_module`(resource_group_name, automation_account_name, module_name, custom_headers=None, raw=False, **operation_config)

    Retrieve a list of activities in the module identified by module name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - module_name (str) – The name of module.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Activity
    Return type: | ActivityPaged[Activity]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``ModuleOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ModuleOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2015-10-31”.

  `create_or_update`(resource_group_name, automation_account_name, module_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create or Update the module identified by module name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - module_name (str) – The name of module.
    - parameters (ModuleCreateOrUpdateParameters) – The create or update parameters for module.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Module or ClientRawResponse if raw=true
    Return type: | Module or ClientRawResponse
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, automation_account_name, module_name, custom_headers=None, raw=False, **operation_config)

    Delete the module by name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - module_name (str) – The module name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, automation_account_name, module_name, custom_headers=None, raw=False, **operation_config)

    Retrieve the module identified by module name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - module_name (str) – The module name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Module or ClientRawResponse if raw=true
    Return type: | Module or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_automation_account`(resource_group_name, automation_account_name, custom_headers=None, raw=False, **operation_config)

    Retrieve a list of modules.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Module
    Return type: | ModulePaged[Module]
    Raises: | `ErrorResponseException`

  `update`(resource_group_name, automation_account_name, module_name, parameters, custom_headers=None, raw=False, **operation_config)

    Update the module identified by module name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - module_name (str) – The name of module.
    - parameters (ModuleUpdateParameters) – The update parameters for module.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Module or ClientRawResponse if raw=true
    Return type: | Module or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``ObjectDataTypesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ObjectDataTypesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2015-10-31”.

  `list_fields_by_module_and_type`(resource_group_name, automation_account_name, module_name, type_name, custom_headers=None, raw=False, **operation_config)

    Retrieve a list of fields of a given type identified by module name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - module_name (str) – The name of module.
    - type_name (str) – The name of type.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of TypeField
    Return type: | TypeFieldPaged[TypeField]
    Raises: | `ErrorResponseException`

  `list_fields_by_type`(resource_group_name, automation_account_name, type_name, custom_headers=None, raw=False, **operation_config)

    Retrieve a list of fields of a given type across all accessible modules.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - type_name (str) – The name of type.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of TypeField
    Return type: | TypeFieldPaged[TypeField]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``FieldsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  FieldsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2015-10-31”.

  `list_by_type`(resource_group_name, automation_account_name, module_name, type_name, custom_headers=None, raw=False, **operation_config)

    Retrieve a list of fields of a given type identified by module name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - module_name (str) – The name of module.
    - type_name (str) – The name of type.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of TypeField
    Return type: | TypeFieldPaged[TypeField]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``ScheduleOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ScheduleOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2015-10-31”.

  `create_or_update`(resource_group_name, automation_account_name, schedule_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create a schedule.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - schedule_name (str) – The schedule name.
    - parameters (ScheduleCreateOrUpdateParameters) – The parameters supplied to the create or update schedule operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Schedule or ClientRawResponse if raw=true
    Return type: | Schedule or ClientRawResponse
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, automation_account_name, schedule_name, custom_headers=None, raw=False, **operation_config)

    Delete the schedule identified by schedule name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - schedule_name (str) – The schedule name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, automation_account_name, schedule_name, custom_headers=None, raw=False, **operation_config)

    Retrieve the schedule identified by schedule name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - schedule_name (str) – The schedule name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Schedule or ClientRawResponse if raw=true
    Return type: | Schedule or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_automation_account`(resource_group_name, automation_account_name, custom_headers=None, raw=False, **operation_config)

    Retrieve a list of schedules.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Schedule
    Return type: | SchedulePaged[Schedule]
    Raises: | `ErrorResponseException`

  `update`(resource_group_name, automation_account_name, schedule_name, parameters, custom_headers=None, raw=False, **operation_config)

    Update the schedule identified by schedule name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - schedule_name (str) – The schedule name.
    - parameters (ScheduleUpdateParameters) – The parameters supplied to the update schedule operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Schedule or ClientRawResponse if raw=true
    Return type: | Schedule or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``VariableOperations`(client, config, serializer, deserializer)

  Bases: `object`

  VariableOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2015-10-31”.

  `create_or_update`(resource_group_name, automation_account_name, variable_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create a variable.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - variable_name (str) – The variable name.
    - parameters (VariableCreateOrUpdateParameters) – The parameters supplied to the create or update variable operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Variable or ClientRawResponse if raw=true
    Return type: | Variable or ClientRawResponse
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, automation_account_name, variable_name, custom_headers=None, raw=False, **operation_config)

    Delete the variable.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - variable_name (str) – The name of variable.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, automation_account_name, variable_name, custom_headers=None, raw=False, **operation_config)

    Retrieve the variable identified by variable name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - variable_name (str) – The name of variable.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Variable or ClientRawResponse if raw=true
    Return type: | Variable or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_automation_account`(resource_group_name, automation_account_name, custom_headers=None, raw=False, **operation_config)

    Retrieve a list of variables.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Variable
    Return type: | VariablePaged[Variable]
    Raises: | `ErrorResponseException`

  `update`(resource_group_name, automation_account_name, variable_name, parameters, custom_headers=None, raw=False, **operation_config)

    Update a variable.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - variable_name (str) – The variable name.
    - parameters (VariableUpdateParameters) – The parameters supplied to the update variable operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Variable or ClientRawResponse if raw=true
    Return type: | Variable or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``WebhookOperations`(client, config, serializer, deserializer)

  Bases: `object`

  WebhookOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2015-10-31”.

  `create_or_update`(resource_group_name, automation_account_name, webhook_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create the webhook identified by webhook name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - webhook_name (str) – The webhook name.
    - parameters (WebhookCreateOrUpdateParameters) – The create or update parameters for webhook.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Webhook or ClientRawResponse if raw=true
    Return type: | Webhook or ClientRawResponse
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, automation_account_name, webhook_name, custom_headers=None, raw=False, **operation_config)

    Delete the webhook by name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - webhook_name (str) – The webhook name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `generate_uri`(resource_group_name, automation_account_name, custom_headers=None, raw=False, **operation_config)

    Generates a Uri for use in creating a webhook.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | str or ClientRawResponse if raw=true
    Return type: | str or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, automation_account_name, webhook_name, custom_headers=None, raw=False, **operation_config)

    Retrieve the webhook identified by webhook name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - webhook_name (str) – The webhook name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Webhook or ClientRawResponse if raw=true
    Return type: | Webhook or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_automation_account`(resource_group_name, automation_account_name, filter=None, custom_headers=None, raw=False, **operation_config)

    Retrieve a list of webhooks.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Webhook
    Return type: | WebhookPaged[Webhook]
    Raises: | `ErrorResponseException`

  `update`(resource_group_name, automation_account_name, webhook_name, parameters, custom_headers=None, raw=False, **operation_config)

    Update the webhook identified by webhook name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - webhook_name (str) – The webhook name.
    - parameters (WebhookUpdateParameters) – The update parameters for webhook.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Webhook or ClientRawResponse if raw=true
    Return type: | Webhook or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``WatcherOperations`(client, config, serializer, deserializer)

  Bases: `object`

  WatcherOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2015-10-31”.

  `create_or_update`(resource_group_name, automation_account_name, watcher_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create the watcher identified by watcher name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - watcher_name (str) – The watcher name.
    - parameters (Watcher) – The create or update parameters for watcher.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Watcher or ClientRawResponse if raw=true
    Return type: | Watcher or ClientRawResponse
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, automation_account_name, watcher_name, custom_headers=None, raw=False, **operation_config)

    Delete the watcher by name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - watcher_name (str) – The watcher name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, automation_account_name, watcher_name, custom_headers=None, raw=False, **operation_config)

    Retrieve the watcher identified by watcher name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - watcher_name (str) – The watcher name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Watcher or ClientRawResponse if raw=true
    Return type: | Watcher or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_automation_account`(resource_group_name, automation_account_name, filter=None, custom_headers=None, raw=False, **operation_config)

    Retrieve a list of watchers.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Watcher
    Return type: | WatcherPaged[Watcher]
    Raises: | `ErrorResponseException`

  `start`(resource_group_name, automation_account_name, watcher_name, custom_headers=None, raw=False, **operation_config)

    Resume the watcher identified by watcher name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - watcher_name (str) – The watcher name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `stop`(resource_group_name, automation_account_name, watcher_name, custom_headers=None, raw=False, **operation_config)

    Resume the watcher identified by watcher name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - watcher_name (str) – The watcher name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `update`(resource_group_name, automation_account_name, watcher_name, execution_frequency_in_seconds=None, name=None, custom_headers=None, raw=False, **operation_config)

    Update the watcher identified by watcher name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - watcher_name (str) – The watcher name.
    - execution_frequency_in_seconds (long) – Gets or sets the frequency at which the watcher is invoked.
    - name (str) – Gets or sets the name of the resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Watcher or ClientRawResponse if raw=true
    Return type: | Watcher or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``SoftwareUpdateConfigurationsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  SoftwareUpdateConfigurationsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2017-05-15-preview”.

  `create`(resource_group_name, automation_account_name, software_update_configuration_name, parameters, client_request_id=None, custom_headers=None, raw=False, **operation_config)

    Create a new software update configuration with the name given in the URI.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - software_update_configuration_name (str) – The name of the software update configuration to be created.
    - parameters (SoftwareUpdateConfiguration) – Request body.
    - client_request_id (str) – Identifies this specific client request.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SoftwareUpdateConfiguration or ClientRawResponse if raw=true
    Return type: | SoftwareUpdateConfiguration or ClientRawResponse
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, automation_account_name, software_update_configuration_name, client_request_id=None, custom_headers=None, raw=False, **operation_config)

    delete a specific software update configuration.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - software_update_configuration_name (str) – The name of the software update configuration to be created.
    - client_request_id (str) – Identifies this specific client request.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get_by_name`(resource_group_name, automation_account_name, software_update_configuration_name, client_request_id=None, custom_headers=None, raw=False, **operation_config)

    Get a single software update configuration by name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - software_update_configuration_name (str) – The name of the software update configuration to be created.
    - client_request_id (str) – Identifies this specific client request.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SoftwareUpdateConfiguration or ClientRawResponse if raw=true
    Return type: | SoftwareUpdateConfiguration or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list`(resource_group_name, automation_account_name, client_request_id=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Get all software update configurations for the account.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - client_request_id (str) – Identifies this specific client request.
    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SoftwareUpdateConfigurationListResult or ClientRawResponse if raw=true
    Return type: | SoftwareUpdateConfigurationListResult or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``SoftwareUpdateConfigurationRunsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  SoftwareUpdateConfigurationRunsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2017-05-15-preview”.

  `get_by_id`(resource_group_name, automation_account_name, software_update_configuration_run_id, client_request_id=None, custom_headers=None, raw=False, **operation_config)

    Get a single software update configuration Run by Id.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - software_update_configuration_run_id (str) – The Id of the software update configuration run.
    - client_request_id (str) – Identifies this specific client request.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SoftwareUpdateConfigurationRun or ClientRawResponse if raw=true
    Return type: | SoftwareUpdateConfigurationRun or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list`(resource_group_name, automation_account_name, client_request_id=None, filter=None, skip=None, top=None, custom_headers=None, raw=False, **operation_config)

    Return list of software update configuration runs.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - client_request_id (str) – Identifies this specific client request.
    - filter (str) – The filter to apply on the operation. You can use the following filters: ‘properties/osType’, ‘properties/status’, ‘properties/startTime’, and ‘properties/softwareUpdateConfiguration/name’
    - skip (str) – Number of entries you skip before returning results
    - top (str) – Maximum number of entries returned in the results collection
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SoftwareUpdateConfigurationRunListResult or ClientRawResponse if raw=true
    Return type: | SoftwareUpdateConfigurationRunListResult or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``SoftwareUpdateConfigurationMachineRunsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  SoftwareUpdateConfigurationMachineRunsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2017-05-15-preview”.

  `get_by_id`(resource_group_name, automation_account_name, software_update_configuration_machine_run_id, client_request_id=None, custom_headers=None, raw=False, **operation_config)

    Get a single software update configuration machine run by Id.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - software_update_configuration_machine_run_id (str) – The Id of the software update configuration machine run.
    - client_request_id (str) – Identifies this specific client request.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SoftwareUpdateConfigurationMachineRun or ClientRawResponse if raw=true
    Return type: | SoftwareUpdateConfigurationMachineRun or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list`(resource_group_name, automation_account_name, client_request_id=None, filter=None, skip=None, top=None, custom_headers=None, raw=False, **operation_config)

    Return list of software update configuration machine runs.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - client_request_id (str) – Identifies this specific client request.
    - filter (str) – The filter to apply on the operation. You can use the following filters: ‘properties/osType’, ‘properties/status’, ‘properties/startTime’, and ‘properties/softwareUpdateConfiguration/name’
    - skip (str) – number of entries you skip before returning results
    - top (str) – Maximum number of entries returned in the results collection
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SoftwareUpdateConfigurationMachineRunListResult or ClientRawResponse if raw=true
    Return type: | SoftwareUpdateConfigurationMachineRunListResult or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``SourceControlOperations`(client, config, serializer, deserializer)

  Bases: `object`

  SourceControlOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2017-05-15-preview”.

  `create_or_update`(resource_group_name, automation_account_name, source_control_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create a source control.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - source_control_name (str) – The source control name.
    - parameters (SourceControlCreateOrUpdateParameters) – The parameters supplied to the create or update source control operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SourceControl or ClientRawResponse if raw=true
    Return type: | SourceControl or ClientRawResponse
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, automation_account_name, source_control_name, custom_headers=None, raw=False, **operation_config)

    Delete the source control.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - source_control_name (str) – The name of source control.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, automation_account_name, source_control_name, custom_headers=None, raw=False, **operation_config)

    Retrieve the source control identified by source control name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - source_control_name (str) – The name of source control.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SourceControl or ClientRawResponse if raw=true
    Return type: | SourceControl or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_automation_account`(resource_group_name, automation_account_name, filter=None, custom_headers=None, raw=False, **operation_config)

    Retrieve a list of source controls.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of SourceControl
    Return type: | SourceControlPaged[SourceControl]
    Raises: | `ErrorResponseException`

  `update`(resource_group_name, automation_account_name, source_control_name, parameters, custom_headers=None, raw=False, **operation_config)

    Update a source control.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - source_control_name (str) – The source control name.
    - parameters (SourceControlUpdateParameters) – The parameters supplied to the update source control operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SourceControl or ClientRawResponse if raw=true
    Return type: | SourceControl or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``SourceControlSyncJobOperations`(client, config, serializer, deserializer)

  Bases: `object`

  SourceControlSyncJobOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2017-05-15-preview”.

  `create`(resource_group_name, automation_account_name, source_control_name, source_control_sync_job_id, commit_id, custom_headers=None, raw=False, **operation_config)

    Creates the sync job for a source control.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - source_control_name (str) – The source control name.
    - source_control_sync_job_id (str) – The source control sync job id.
    - commit_id (str) – The commit id of the source control sync job. If not syncing to a commitId, enter an empty string.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SourceControlSyncJob or ClientRawResponse if raw=true
    Return type: | SourceControlSyncJob or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, automation_account_name, source_control_name, source_control_sync_job_id, custom_headers=None, raw=False, **operation_config)

    Retrieve the source control sync job identified by job id.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - source_control_name (str) – The source control name.
    - source_control_sync_job_id (str) – The source control sync job id.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SourceControlSyncJobById or ClientRawResponse if raw=true
    Return type: | SourceControlSyncJobById or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_automation_account`(resource_group_name, automation_account_name, source_control_name, filter=None, custom_headers=None, raw=False, **operation_config)

    Retrieve a list of source control sync jobs.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - source_control_name (str) – The source control name.
    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of SourceControlSyncJob
    Return type: | SourceControlSyncJobPaged[SourceControlSyncJob]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``SourceControlSyncJobStreamsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  SourceControlSyncJobStreamsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2017-05-15-preview”.

  `get`(resource_group_name, automation_account_name, source_control_name, source_control_sync_job_id, stream_id, custom_headers=None, raw=False, **operation_config)

    Retrieve a sync job stream identified by stream id.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - source_control_name (str) – The source control name.
    - source_control_sync_job_id (str) – The source control sync job id.
    - stream_id (str) – The id of the sync job stream.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SourceControlSyncJobStreamById or ClientRawResponse if raw=true
    Return type: | SourceControlSyncJobStreamById or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_sync_job`(resource_group_name, automation_account_name, source_control_name, source_control_sync_job_id, filter=None, custom_headers=None, raw=False, **operation_config)

    Retrieve a list of sync job streams identified by sync job id.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - source_control_name (str) – The source control name.
    - source_control_sync_job_id (str) – The source control sync job id.
    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of SourceControlSyncJobStream
    Return type: | SourceControlSyncJobStreamPaged[SourceControlSyncJobStream]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``JobOperations`(client, config, serializer, deserializer)

  Bases: `object`

  JobOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2017-05-15-preview”.

  `create`(resource_group_name, automation_account_name, job_name, parameters, client_request_id=None, custom_headers=None, raw=False, **operation_config)

    Create a job of the runbook.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - job_name (str) – The job name.
    - parameters (JobCreateParameters) – The parameters supplied to the create job operation.
    - client_request_id (str) – Identifies this specific client request.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Job or ClientRawResponse if raw=true
    Return type: | Job or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, automation_account_name, job_name, client_request_id=None, custom_headers=None, raw=False, **operation_config)

    Retrieve the job identified by job name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - job_name (str) – The job name.
    - client_request_id (str) – Identifies this specific client request.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Job or ClientRawResponse if raw=true
    Return type: | Job or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get_output`(resource_group_name, automation_account_name, job_name, client_request_id=None, custom_headers=None, raw=False, callback=None, **operation_config)

    Retrieve the job output identified by job name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - job_name (str) – The name of the job to be created.
    - client_request_id (str) – Identifies this specific client request.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - callback (Callable[Bytes, response=None]) – When specified, will be called with each chunk of data that is streamed. The callback should take two arguments, the bytes of the current chunk of data and the response object. If the data is uploading, response will be None.
    - operation_config – Operation configuration overrides.

    Returns: | object or ClientRawResponse if raw=true
    Return type: | Generator or ClientRawResponse
    Raises: | `CloudError`

  `get_runbook_content`(resource_group_name, automation_account_name, job_name, client_request_id=None, custom_headers=None, raw=False, callback=None, **operation_config)

    Retrieve the runbook content of the job identified by job name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - job_name (str) – The job name.
    - client_request_id (str) – Identifies this specific client request.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - callback (Callable[Bytes, response=None]) – When specified, will be called with each chunk of data that is streamed. The callback should take two arguments, the bytes of the current chunk of data and the response object. If the data is uploading, response will be None.
    - operation_config – Operation configuration overrides.

    Returns: | object or ClientRawResponse if raw=true
    Return type: | Generator or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_automation_account`(resource_group_name, automation_account_name, filter=None, client_request_id=None, custom_headers=None, raw=False, **operation_config)

    Retrieve a list of jobs.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - filter (str) – The filter to apply on the operation.
    - client_request_id (str) – Identifies this specific client request.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of JobCollectionItem
    Return type: | JobCollectionItemPaged[JobCollectionItem]
    Raises: | `ErrorResponseException`

  `resume`(resource_group_name, automation_account_name, job_name, client_request_id=None, custom_headers=None, raw=False, **operation_config)

    Resume the job identified by jobName.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - job_name (str) – The job name.
    - client_request_id (str) – Identifies this specific client request.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `stop`(resource_group_name, automation_account_name, job_name, client_request_id=None, custom_headers=None, raw=False, **operation_config)

    Stop the job identified by jobName.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - job_name (str) – The job name.
    - client_request_id (str) – Identifies this specific client request.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `suspend`(resource_group_name, automation_account_name, job_name, client_request_id=None, custom_headers=None, raw=False, **operation_config)

    Suspend the job identified by job name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - job_name (str) – The job name.
    - client_request_id (str) – Identifies this specific client request.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``JobStreamOperations`(client, config, serializer, deserializer)

  Bases: `object`

  JobStreamOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2017-05-15-preview”.

  `get`(resource_group_name, automation_account_name, job_name, job_stream_id, client_request_id=None, custom_headers=None, raw=False, **operation_config)

    Retrieve the job stream identified by job stream id.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - job_name (str) – The job name.
    - job_stream_id (str) – The job stream id.
    - client_request_id (str) – Identifies this specific client request.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | JobStream or ClientRawResponse if raw=true
    Return type: | JobStream or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_job`(resource_group_name, automation_account_name, job_name, filter=None, client_request_id=None, custom_headers=None, raw=False, **operation_config)

    Retrieve a list of jobs streams identified by job name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - job_name (str) – The job name.
    - filter (str) – The filter to apply on the operation.
    - client_request_id (str) – Identifies this specific client request.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of JobStream
    Return type: | JobStreamPaged[JobStream]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``AgentRegistrationInformationOperations`(client, config, serializer, deserializer)

  Bases: `object`

  AgentRegistrationInformationOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2018-01-15”.

  `get`(resource_group_name, automation_account_name, custom_headers=None, raw=False, **operation_config)

    Retrieve the automation agent registration information.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AgentRegistration or ClientRawResponse if raw=true
    Return type: | AgentRegistration or ClientRawResponse
    Raises: | `ErrorResponseException`

  `regenerate_key`(resource_group_name, automation_account_name, key_name, custom_headers=None, raw=False, **operation_config)

    Regenerate a primary or secondary agent registration key.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - key_name (str or AgentRegistrationKeyName) – Gets or sets the agent registration key name - primary or secondary. Possible values include: ‘primary’, ‘secondary’
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AgentRegistration or ClientRawResponse if raw=true
    Return type: | AgentRegistration or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``DscNodeOperations`(client, config, serializer, deserializer)

  Bases: `object`

  DscNodeOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2018-01-15”.

  `delete`(resource_group_name, automation_account_name, node_id, custom_headers=None, raw=False, **operation_config)

    Delete the dsc node identified by node id.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - node_id (str) – The node id.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | DscNode or ClientRawResponse if raw=true
    Return type: | DscNode or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, automation_account_name, node_id, custom_headers=None, raw=False, **operation_config)

    Retrieve the dsc node identified by node id.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - node_id (str) – The node id.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | DscNode or ClientRawResponse if raw=true
    Return type: | DscNode or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_automation_account`(resource_group_name, automation_account_name, filter=None, skip=None, top=None, inlinecount=None, custom_headers=None, raw=False, **operation_config)

    Retrieve a list of dsc nodes.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - filter (str) – The filter to apply on the operation.
    - skip (int) – The number of rows to skip.
    - top (int) – The the number of rows to take.
    - inlinecount (str) – Return total rows.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of DscNode
    Return type: | DscNodePaged[DscNode]
    Raises: | `ErrorResponseException`

  `update`(resource_group_name, automation_account_name, node_id, node_id1=None, properties=None, custom_headers=None, raw=False, **operation_config)

    Update the dsc node.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - node_id (str) – Parameters supplied to the update dsc node.
    - node_id1 (str) – Gets or sets the id of the dsc node.
    - properties (DscNodeUpdateParametersProperties) –
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | DscNode or ClientRawResponse if raw=true
    Return type: | DscNode or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``NodeReportsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  NodeReportsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2018-01-15”.

  `get`(resource_group_name, automation_account_name, node_id, report_id, custom_headers=None, raw=False, **operation_config)

    Retrieve the Dsc node report data by node id and report id.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - node_id (str) – The Dsc node id.
    - report_id (str) – The report id.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | DscNodeReport or ClientRawResponse if raw=true
    Return type: | DscNodeReport or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get_content`(resource_group_name, automation_account_name, node_id, report_id, custom_headers=None, raw=False, **operation_config)

    Retrieve the Dsc node reports by node id and report id.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - node_id (str) – The Dsc node id.
    - report_id (str) – The report id.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | object or ClientRawResponse if raw=true
    Return type: | object or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_node`(resource_group_name, automation_account_name, node_id, filter=None, custom_headers=None, raw=False, **operation_config)

    Retrieve the Dsc node report list by node id.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - node_id (str) – The parameters supplied to the list operation.
    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of DscNodeReport
    Return type: | DscNodeReportPaged[DscNodeReport]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``DscCompilationJobOperations`(client, config, serializer, deserializer)

  Bases: `object`

  DscCompilationJobOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2018-01-15”.

  `create`(resource_group_name, automation_account_name, compilation_job_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates the Dsc compilation job of the configuration.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - compilation_job_name (str) – The the DSC configuration Id.
    - parameters (DscCompilationJobCreateParameters) – The parameters supplied to the create compilation job operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns DscCompilationJob or ClientRawResponse<DscCompilationJob> if raw==True
    Return type: | AzureOperationPoller[DscCompilationJob] or AzureOperationPoller[ClientRawResponse[DscCompilationJob]]
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, automation_account_name, compilation_job_name, custom_headers=None, raw=False, **operation_config)

    Retrieve the Dsc configuration compilation job identified by job id.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - compilation_job_name (str) – The the DSC configuration Id.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | DscCompilationJob or ClientRawResponse if raw=true
    Return type: | DscCompilationJob or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get_stream`(resource_group_name, automation_account_name, job_id, job_stream_id, custom_headers=None, raw=False, **operation_config)

    Retrieve the job stream identified by job stream id.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - job_id (str) – The job id.
    - job_stream_id (str) – The job stream id.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | JobStream or ClientRawResponse if raw=true
    Return type: | JobStream or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_automation_account`(resource_group_name, automation_account_name, filter=None, custom_headers=None, raw=False, **operation_config)

    Retrieve a list of dsc compilation jobs.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of DscCompilationJob
    Return type: | DscCompilationJobPaged[DscCompilationJob]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``DscCompilationJobStreamOperations`(client, config, serializer, deserializer)

  Bases: `object`

  DscCompilationJobStreamOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2018-01-15”.

  `list_by_job`(resource_group_name, automation_account_name, job_id, custom_headers=None, raw=False, **operation_config)

    Retrieve all the job streams for the compilation Job.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - job_id (str) – The job id.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | JobStreamListResult or ClientRawResponse if raw=true
    Return type: | JobStreamListResult or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``DscNodeConfigurationOperations`(client, config, serializer, deserializer)

  Bases: `object`

  DscNodeConfigurationOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2018-01-15”.

  `create_or_update`(resource_group_name, automation_account_name, node_configuration_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Create the node configuration identified by node configuration name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - node_configuration_name (str) – The Dsc node configuration name.
    - parameters (DscNodeConfigurationCreateOrUpdateParameters) – The create or update parameters for configuration.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns DscNodeConfiguration or ClientRawResponse<DscNodeConfiguration> if raw==True
    Return type: | AzureOperationPoller[DscNodeConfiguration] or AzureOperationPoller[ClientRawResponse[DscNodeConfiguration]]
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, automation_account_name, node_configuration_name, custom_headers=None, raw=False, **operation_config)

    Delete the Dsc node configurations by node configuration.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - node_configuration_name (str) – The Dsc node configuration name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, automation_account_name, node_configuration_name, custom_headers=None, raw=False, **operation_config)

    Retrieve the Dsc node configurations by node configuration.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - node_configuration_name (str) – The Dsc node configuration name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | DscNodeConfiguration or ClientRawResponse if raw=true
    Return type: | DscNodeConfiguration or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_automation_account`(resource_group_name, automation_account_name, filter=None, skip=None, top=None, inlinecount=None, custom_headers=None, raw=False, **operation_config)

    Retrieve a list of dsc node configurations.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - filter (str) – The filter to apply on the operation.
    - skip (int) – The number of rows to skip.
    - top (int) – The the number of rows to take.
    - inlinecount (str) – Return total rows.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of DscNodeConfiguration
    Return type: | DscNodeConfigurationPaged[DscNodeConfiguration]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``NodeCountInformationOperations`(client, config, serializer, deserializer)

  Bases: `object`

  NodeCountInformationOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2018-01-15”.

  `get`(resource_group_name, automation_account_name, count_type, custom_headers=None, raw=False, **operation_config)

    Retrieve counts for Dsc Nodes.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - count_type (str or CountType) – The type of counts to retrieve. Possible values include: ‘status’, ‘nodeconfiguration’
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | NodeCounts or ClientRawResponse if raw=true
    Return type: | NodeCounts or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``RunbookDraftOperations`(client, config, serializer, deserializer)

  Bases: `object`

  RunbookDraftOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2018-06-30”.

  `get`(resource_group_name, automation_account_name, runbook_name, custom_headers=None, raw=False, **operation_config)

    Retrieve the runbook draft identified by runbook name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - runbook_name (str) – The runbook name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | RunbookDraft or ClientRawResponse if raw=true
    Return type: | RunbookDraft or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get_content`(resource_group_name, automation_account_name, runbook_name, custom_headers=None, raw=False, callback=None, **operation_config)

    Retrieve the content of runbook draft identified by runbook name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - runbook_name (str) – The runbook name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - callback (Callable[Bytes, response=None]) – When specified, will be called with each chunk of data that is streamed. The callback should take two arguments, the bytes of the current chunk of data and the response object. If the data is uploading, response will be None.
    - operation_config – Operation configuration overrides.

    Returns: | object or ClientRawResponse if raw=true
    Return type: | Generator or ClientRawResponse
    Raises: | `CloudError`

  `replace_content`(resource_group_name, automation_account_name, runbook_name, runbook_content, custom_headers=None, raw=False, callback=None, polling=True, **operation_config)

    Replaces the runbook draft content.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - runbook_name (str) – The runbook name.
    - runbook_content (Generator) – The runbook draft content.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns object or ClientRawResponse<object> if raw==True
    Return type: | AzureOperationPoller[Generator] or AzureOperationPoller[ClientRawResponse[Generator]]
    Raises: | `ErrorResponseException`

  `undo_edit`(resource_group_name, automation_account_name, runbook_name, custom_headers=None, raw=False, **operation_config)

    Undo draft edit to last known published state identified by runbook name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - runbook_name (str) – The runbook name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | RunbookDraftUndoEditResult or ClientRawResponse if raw=true
    Return type: | RunbookDraftUndoEditResult or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``RunbookOperations`(client, config, serializer, deserializer)

  Bases: `object`

  RunbookOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2018-06-30”.

  `create_or_update`(resource_group_name, automation_account_name, runbook_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create the runbook identified by runbook name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - runbook_name (str) – The runbook name.
    - parameters (RunbookCreateOrUpdateParameters) – The create or update parameters for runbook. Provide either content link for a published runbook or draft, not both.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Runbook or ClientRawResponse if raw=true
    Return type: | Runbook or ClientRawResponse
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, automation_account_name, runbook_name, custom_headers=None, raw=False, **operation_config)

    Delete the runbook by name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - runbook_name (str) – The runbook name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, automation_account_name, runbook_name, custom_headers=None, raw=False, **operation_config)

    Retrieve the runbook identified by runbook name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - runbook_name (str) – The runbook name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Runbook or ClientRawResponse if raw=true
    Return type: | Runbook or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get_content`(resource_group_name, automation_account_name, runbook_name, custom_headers=None, raw=False, callback=None, **operation_config)

    Retrieve the content of runbook identified by runbook name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - runbook_name (str) – The runbook name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - callback (Callable[Bytes, response=None]) – When specified, will be called with each chunk of data that is streamed. The callback should take two arguments, the bytes of the current chunk of data and the response object. If the data is uploading, response will be None.
    - operation_config – Operation configuration overrides.

    Returns: | object or ClientRawResponse if raw=true
    Return type: | Generator or ClientRawResponse
    Raises: | `CloudError`

  `list_by_automation_account`(resource_group_name, automation_account_name, custom_headers=None, raw=False, **operation_config)

    Retrieve a list of runbooks.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Runbook
    Return type: | RunbookPaged[Runbook]
    Raises: | `ErrorResponseException`

  `publish`(resource_group_name, automation_account_name, runbook_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Publish runbook draft.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - runbook_name (str) – The parameters supplied to the publish runbook operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ErrorResponseException`

  `update`(resource_group_name, automation_account_name, runbook_name, parameters, custom_headers=None, raw=False, **operation_config)

    Update the runbook identified by runbook name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - runbook_name (str) – The runbook name.
    - parameters (RunbookUpdateParameters) – The update parameters for runbook.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Runbook or ClientRawResponse if raw=true
    Return type: | Runbook or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``TestJobStreamsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  TestJobStreamsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2018-06-30”.

  `get`(resource_group_name, automation_account_name, runbook_name, job_stream_id, custom_headers=None, raw=False, **operation_config)

    Retrieve a test job stream of the test job identified by runbook name and stream id.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - runbook_name (str) – The runbook name.
    - job_stream_id (str) – The job stream id.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | JobStream or ClientRawResponse if raw=true
    Return type: | JobStream or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_test_job`(resource_group_name, automation_account_name, runbook_name, filter=None, custom_headers=None, raw=False, **operation_config)

    Retrieve a list of test job streams identified by runbook name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - runbook_name (str) – The runbook name.
    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of JobStream
    Return type: | JobStreamPaged[JobStream]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``TestJobOperations`(client, config, serializer, deserializer)

  Bases: `object`

  TestJobOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2018-06-30”.

  `create`(resource_group_name, automation_account_name, runbook_name, parameters=None, run_on=None, custom_headers=None, raw=False, **operation_config)

    Create a test job of the runbook.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - runbook_name (str) – The parameters supplied to the create test job operation.
    - parameters (dict[str, str]) – Gets or sets the parameters of the test job.
    - run_on (str) – Gets or sets the runOn which specifies the group name where the job is to be executed.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | TestJob or ClientRawResponse if raw=true
    Return type: | TestJob or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, automation_account_name, runbook_name, custom_headers=None, raw=False, **operation_config)

    Retrieve the test job for the specified runbook.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - runbook_name (str) – The runbook name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | TestJob or ClientRawResponse if raw=true
    Return type: | TestJob or ClientRawResponse
    Raises: | `ErrorResponseException`

  `resume`(resource_group_name, automation_account_name, runbook_name, custom_headers=None, raw=False, **operation_config)

    Resume the test job.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - runbook_name (str) – The runbook name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `stop`(resource_group_name, automation_account_name, runbook_name, custom_headers=None, raw=False, **operation_config)

    Stop the test job.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - runbook_name (str) – The runbook name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `suspend`(resource_group_name, automation_account_name, runbook_name, custom_headers=None, raw=False, **operation_config)

    Suspend the test job.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - runbook_name (str) – The runbook name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>

class `azure.mgmt.automation.operations.``Python2PackageOperations`(client, config, serializer, deserializer)

  Bases: `object`

  Python2PackageOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2018-06-30”.

  `create_or_update`(resource_group_name, automation_account_name, package_name, content_link, tags=None, custom_headers=None, raw=False, **operation_config)

    Create or Update the python 2 package identified by package name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - package_name (str) – The name of python package.
    - content_link (ContentLink) – Gets or sets the module content link.
    - tags (dict[str, str]) – Gets or sets the tags attached to the resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Module or ClientRawResponse if raw=true
    Return type: | Module or ClientRawResponse
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, automation_account_name, package_name, custom_headers=None, raw=False, **operation_config)

    Delete the python 2 package by name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - package_name (str) – The python package name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, automation_account_name, package_name, custom_headers=None, raw=False, **operation_config)

    Retrieve the python 2 package identified by package name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - package_name (str) – The python package name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Module or ClientRawResponse if raw=true
    Return type: | Module or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_automation_account`(resource_group_name, automation_account_name, custom_headers=None, raw=False, **operation_config)

    Retrieve a list of python 2 packages.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Module
    Return type: | ModulePaged[Module]
    Raises: | `ErrorResponseException`

  `update`(resource_group_name, automation_account_name, package_name, tags=None, custom_headers=None, raw=False, **operation_config)

    Update the python 2 package identified by package name.

    Parameters:

    - resource_group_name (str) – Name of an Azure Resource group.
    - automation_account_name (str) – The name of the automation account.
    - package_name (str) – The name of python package.
    - tags (dict[str, str]) – Gets or sets the tags attached to the resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Module or ClientRawResponse if raw=true
    Return type: | Module or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.automation.models' from '/usr/lib/python3/dist-packages/azure/mgmt/automation/models/__init__.py'>